DRM_FLIP_WORK_QUEUE_(9)

NAME
drm_flip_work_queue_task - queue a specific task

SYNOPSIS

void drm_flip_work_queue_task(struct drm_flip_work * work, struct drm_flip_task * task);

ARGUMENTS

work
    the flip-work

task
    the task to handle

DESCRIPTION

Queues task, that will later be run (passed back to drm_flip_func_t func) on a work queue after drm_flip_work_commit is called.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT